Rated 5 out of 5 stars

Very useful.

Rated 5 out of 5 stars

The installation is messy, but once it's done once you can install it in other browsers too. I find it very useful and appreciate having it available.

Rated 5 out of 5 stars

I had the open_with_mac.py file under Downloads directory and spent hours on searching for a solution for the Test Installation failed error.

Finally moved the file under ~/Library/Application Support/Mozilla folder and it worked :)

This review is for a previous version of the add-on (7.2.5). 

Rated 3 out of 5 stars

MacOS 11.4; Thunderbird 78.10.2

After executing
chmod u+x open_with_mac.py
./open_with_mac.py install

Copy the file "open_with.json" from /Users/username/Library/Application Support/Mozilla/NativeMessagingHosts/
to
/Library/Application Support/Mozilla/NativeMessagingHosts/

then Thunderbird and all the browsers can detect it with "Test Installation"!

This review is for a previous version of the add-on (7.2.5). 

Rated 3 out of 5 stars

Not to say, that Python workaround is comfortable…

A hint, Python script file shall be palced in a folder relating to ThunderBird, and not somwehre else spinning around would be fine.

Anyway, 3 stars only because list of browsers is placed in a sub menu (cascaded menue) stops usability.

This review is for a previous version of the add-on (7.2.5). 

Rated 5 out of 5 stars

7.2.5 fixed the bug from 7.2.4, thanks for that.

This review is for a previous version of the add-on (7.2.5).  This user has 2 previous reviews of this add-on.

Rated 3 out of 5 stars

Following instructions just gives an error message. How do we Link to Firefox? Nothing happens when I put in path to Firefox and try to open a link. Open with gives a message, "Can't connect to the outside world". If I need to activate a script, which one and where? Also, My Firefox Browser in on my D Drive, because my SSD C Drive was to small, untill I upgraded with a 1 Terabyte SSD. Can this be an issue? Some small instructions on what to do, how to proceed, what to register Ect. I'm not a Programmers so If I must write a Script, I know not how to proceed!!

This review is for a previous version of the add-on (7.2.3).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

--- Dutch, English below here ---
Doet wat het moet doen, wèl even Python installeren en het script activeren. Ook dat leggen ze keurig uit.

Let op: De laatste versie voor Thunderbird versie 78.x staat gek genoeg onder de 'Overige versies' / 'Oude versies'.
Tenminste, nu in december 2020 is dat nog zo...

--- English ---
Does what it should do! You only have to install Python and activate a script.
@McBob and anonymous; Python version 2 or 3 doesn't matter it says, see also the attention note below here.

Attention; The last version for Thunderbird version 78.x is seen as a 'Other version' / 'Old version' so you have to download it there...
At least in December 2020 that is.

This review is for a previous version of the add-on (7.2.3). 

Rated 1 out of 5 stars

what McBob wrote

This review is for a previous version of the add-on (7.2.3). 

Rated 1 out of 5 stars

Doesn't work in Thunderbird 78.5.1. For one thing, the instructions for installing Python are way too vague, plus the version of Python isn't specified.

Even when I managed to figure it out for myself, this addon still gives an error when I use the Test Installation button. Frankly, an addon that is preconfigured for the most common browsers (Firefox, Chrome, Opera. Etc.) and complete with all needed components would be a lot more useful.

There used to be very simple Open WIth Browser addons for Firefox; why the needlessly-complex and indirect method?

This review is for a previous version of the add-on (7.2.3). 

Rated 3 out of 5 stars

Indeed, no idea, how the installation of phython finally works! A clearer definition of the process would be fine.

This review is for a previous version of the add-on (7.2.3). 

Rated 5 out of 5 stars

Thanks for updating the add-on for TB 78*!!!

This review is for a previous version of the add-on (7.2.3).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

I loved this Add-on! It allowed me to open all this suspicious links in Firefox private mode or a different browser to protect privacy.
Unfortunately it doesn't support the current Thunderbird version (78.x) anymore.
I miss it!

This review is for a previous version of the add-on (6.9.2). 

Rated 4 out of 5 stars

PT-BR

Funcionou como sugerido, eu uso 3 navegadores, cada um para uma coisa específica e isso facilitou bastante.

Está com um problema no Thunderbird Portable 68, eu não consigo deletar as entradas, eu dupliquei uma sem querer e agora ela fica sempre aparecendo nas opções, algo que me incomoda apenas visualmente, mas fora isso, tudo bem. OBRIGADO!

This review is for a previous version of the add-on (6.9.2). 

Rated 1 out of 5 stars

Gives a error message when you try to download into Thunderbird

Error message: The add-on could not be installed because it's not the add-on Thunderbird expected.

Prior to Thunderbird v78, this add-on worked flawlessly.

Will change review after it's fix or we find it's abandoned. Think that happened to a lot of add-ons after last few changes in Thunderbird.

This review is for a previous version of the add-on (6.9.2). 

Rated 2 out of 5 stars

多種のブラウザを使用しているので重宝しています。

ただ手動で登録したブラウザはアンインストールしてもリストから消せません。

ものすごく苦労して漸く消す方法を見つけたので記述しておきます。
尚、この方法はThunderbirdの設定エディターを弄るので必ずバックアップを取った上、自己責任でお願いします。

1.Thunderbirdの設定エディターを起動します。

2.検索欄に「openwith」と記入します。

3.設定名欄に「extensions.openwith.manual.~」と表示されているのが手動で登録したブラウザの設定情報なので
 該当の文字列を選択して右クリックをしてコンテキスメニューから「リセット」を選択します。

 ※手動で登録したブラウザが複数ある場合は右側の値欄に消したいブラウザ名を含んだ文字列があるものを選んでください。

4.Thunderbirdを再起動します。

これで一覧から該当のブラウザが消えるはずです。

This review is for a previous version of the add-on (6.9.2). 

Rated 4 out of 5 stars

Ignore default browser option pls

This review is for a previous version of the add-on (6.9.2). 

Rated 5 out of 5 stars

Perfect for situations where you want to open a link in a browser that's not set as default. You can even pick the browsers from the right click menu (just enable it in options). Just what I needed!

This review is for a previous version of the add-on (6.9.2). 

Rated 4 out of 5 stars

Working great BUT would be even better if we could change the default browser.

This review is for a previous version of the add-on (6.9.1). 

Rated 5 out of 5 stars

Easy to use and can be configured.

This review is for a previous version of the add-on (6.9).